module PersonalBook
  class Engine < Rails::Engine
  	initializer "personal_book" do
  		OrbitApp.registration "PersonalBook",:type=> 'ModuleApp' do
			module_label 'module_name.personal_book'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '25', :app_name=>"WritingBook", :intro_app_name=>"PersonalBookIntro",:path=>"panel/personal_book/plugin/profile",:front_path=>"panel/personal_book/front_end/profile",:admin_path=>"/panel/personal_book/back_end/writing_books",:i18n=>'module_name.personal_book'



			version "0.1"
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'

			front_end do
			  app_page 'writing_books' do 
			    frontend_i18n "personal_book.frontend.writing_books"
			  end
			end
		end
  	end
  end
end
